<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{template.html}">
<head>
<title>SHIP Clip</title>
</head>
<body>
	<main layout:fragment="content">
		<div class="container">
			<form th:action="@{/admin/menuitem/{id}/displaylabel/save(id=${menuitemid})}" method="post" th:object="${bean}">
				<div class="row g-2">
					<div class="col-sm-3" th:if="${bean.pk}">ID</div>
					<div class="col-sm-9" th:if="${bean.pk}">
						<input type="text" class="form-control" th:field="*{pk}" readonly="readonly" />
					</div>
					<div class="col-sm-3">LABEL</div>
					<div class="col-sm-9">
						<input type="text" class="form-control" th:field="*{label}" />
					</div>
					<div class="col-sm-3">LANGKEY</div>
					<div class="col-sm-9">
						<input type="text" class="form-control" th:field="*{langkey}" />
					</div>
					<!-- TODO: add manipulation of translations -->
					<div class="col-sm-3">&nbsp;</div>
					<div class="col-sm-9">
						<input type="submit" class="btn btn-outline-primary" th:value="#{button.ok}" />
						&nbsp;
						<a th:href="@{/admin/menuitem/{id}(id=${menuitemid})}" class="btn btn-outline-secondary">
							<span th:text="#{button.cancel}"></span>
						</a>
					</div>
				</div>
			</form>
		</div>
	</main>
</body>
</html>